//	This class demonstrates the following
//	1. Implementing an interface
//	2. Using attributes across methods
//	3. Using Strings
//	Run the class AddressBook to use this class
public class SimpleDirectory implements Directory {
	private Contact[ ] contacts;
	private int count; 

	public SimpleDirectory( ) {
		contacts = new Contact[10];
		count = 0;
	}

	public void add(Contact contact) {
		if (count < contacts.length)
			contacts[count++] = contact;
	}

	public Contact[ ] list( ) {
		return contacts;
	}

	public Contact search(String name) {
		for(int index=0; index < count; index++)
			if (contacts[index].getName().equals(name))
				return contacts[index];
		return null;
	}
}